### Method

# Handy Leaflet navigate

#### Declaration [src]

    gboolean
    hdy_leaflet_navigate (
      HdyLeaflet* self,
      HdyNavigationDirection direction
    )

#### Description [src]

Navigates to the previous or next navigatable child.

The switch is similar to performing a swipe gesture to go in `direction`.

Available since: | 1.0

#### Parameters

`direction` | `HdyNavigationDirection`
| The direction.

#### Return value

Returns: | `gboolean`
| Whether the visible child was changed.